---
title: Revue
description: 'Learn more about the Revue provider integration for newsletter module.'
---

Revue makes it easy for writers and publishers to send editorial newsletters — and get paid. People can subscribe to Revue newsletters directly from Tweets and Twitter profile.

You can learn more about Revue [here](https://www.getrevue.co/)

## Usage

In order to have Revue as your newsletter provider set the provider option in the configuration options of the `nuxt-newsletter` module to 'revue' like following:

```ts
export default defineNuxtConfig({
  modules: [
    'nuxt-newsletter'
  ],
  newsletter: {
    revue: {
      apiKey: process.env.REVUE_API_KEY,
      component: true // optional
    }
  }
})
```

You can then use the built in `NewsletterForm.vue` component or `useNewsletterSubscribe` composable to handle adding new email to subscribers list.
