---
title: Buttondown
description: 'Learn more about the Buttondown provider integration for newsletter module.'
---

Buttondown is a small, elegant tool for producing newsletters. The minimalist interface makes it easy for you to write great emails; the automation acts like the editorial assistant you wish you had, by checking for typos, broken links, or malformed images; the portable subscription widget makes it really easy to grow your audience from wherever you host your site.

You can learn more about Buttondown [here](https://buttondown.email/)

## Usage

In order to have Buttondown as your newsletter provider set the provider option in the configuration options of the `nuxt-newsletter` module to 'buttondown' like following:

```ts
export default defineNuxtConfig({
  modules: [
    'nuxt-newsletter'
  ],
  newsletter: {
    buttondown: {
      apiKey: process.env.BUTTONDOWN_API_KEY,
      component: true // optional
    }
  }
})
```

You can then use the built in `NewsletterForm.vue` component or `useNewsletterSubscribe` composable to handle adding new email to subscribers list.
